Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.infobrightoutput
Class InfobrightLoaderMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.tableoutput.TableOutputMeta
              org.pentaho.di.trans.steps.infobrightoutput.InfobrightLoaderMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class InfobrightLoaderMeta

extends TableOutputMeta
implements StepMetaInterface

Metadata for the Infobright loader.

Author:
  geoffrey.falk@infobright.com

Constructor Summary
`InfobrightLoaderMeta()` Default constructor.

Method Summary
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`String` | `getInfobrightProductType()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta tr, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `isRejectErrors()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `setDataFormat(com.infobright.etl.model.DataFormat dataFormat)`
`void` | `setDefault()` Set default values
`void` | `setRejectErrors(boolean rejectErrors)`

Methods inherited from class org.pentaho.di.trans.steps.tableoutput.TableOutputMeta
`allocate, analyseImpact, check, getCommitSize, getDatabaseMeta, getFieldDatabase, getFields, getFieldStream, getGeneratedKeyField, getPartitioningField, getRequiredFields, getSchemaName, getSQLStatements, getTablename, getTableNameField, getUsedDatabaseConnections, ignoreErrors, isPartitioningDaily, isPartitioningEnabled, isPartitioningMonthly, isReturningGeneratedKeys, isTableNameInField, isTableNameInTable, readRep, saveRep, setCommitSize, setCommitSize, setDatabaseMeta, setFieldDatabase, setFieldStream, setGeneratedKeyField, setIgnoreErrors, setPartitioningDaily, setPartitioningEnabled, setPartitioningField, setPartitioningMonthly, setReturningGeneratedKeys, setSchemaName, setSpecifyFields, setTablename, setTableNameField, setTableNameInField, setTableNameInTable, setTruncateTable, setUseBatchUpdate, specifyFields, supportsErrorHandling, truncateTable, useBatchUpdate`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getID, getInfoSteps, getRequiredFields, getResourceDependencies, getTableFields, getTargetSteps, getUsedArguments, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, check, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getFields, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, readRep, saveRep, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps, supportsErrorHandling`

Constructor Detail

### InfobrightLoaderMeta

    public InfobrightLoaderMeta()

  Default constructor.

Method Detail

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta tr,
                                 Trans trans)

  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Overrides:
    `getStep` in class `TableOutputMeta`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `tr` - The transformation info
    `trans` - The launching transformation
  See Also:
    `StepMetaInterface.getStep(org.pentaho.di.trans.step.StepMeta, org.pentaho.di.trans.step.StepDataInterface, int, org.pentaho.di.trans.TransMeta, org.pentaho.di.trans.Trans)`

### getStepData

    public StepDataInterface getStepData()

  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Overrides:
    `getStepData` in class `TableOutputMeta`
  Returns:
    The appropriate StepDataInterface class.
  See Also:
    `StepMetaInterface.getStepData()`

### clone

    public Object clone()

  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `TableOutputMeta`
  Returns:
    an exact copy of this step
  See Also:
    `BaseStepMeta.clone()`

### getInfobrightProductType

    public String getInfobrightProductType()

### setDataFormat

    public void setDataFormat(com.infobright.etl.model.DataFormat dataFormat)

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`
  Overrides:
    `setDefault` in class `TableOutputMeta`

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `TableOutputMeta`
  Returns:
    String containing the XML describing this step.

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Overrides:
    `loadXML` in class `TableOutputMeta`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### isRejectErrors

    public boolean isRejectErrors()

  Returns:
    the rejectErrors

### setRejectErrors

    public void setRejectErrors(boolean rejectErrors)

  Parameters:
    `rejectErrors` - the rejectErrors to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD